| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSAttributeDeclaration Class Reference

Inheritance diagram for XSAttributeDeclaration:

[legend]
Collaboration diagram for XSAttributeDeclaration:

[legend]
List of all members.

## Public Methods

Constructors
| XSAttributeDeclaration (SchemaAttDef *const attDef, XSSimpleTypeDefinition *const typeDef, XSAnnotation *const annot, XSModel *const xsModel, XSConstants::SCOPE scope, XSComplexTypeDefinition *enclosingCTDefinition, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSAttributeDeclaration ()
overridden XSObject methods
const XMLCh * | getName ()
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
const XMLCh * | getNamespace ()
| The [target namespace] of this object, or `null` if it is unspecified. More...
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
unsigned int | getId () const
| Return a unique identifier for a component within this XSModel, to optimize querying. More...
XSAttributeDeclaration methods *
XSSimpleTypeDefinition * | getTypeDefinition () const
| [type definition]: A simple type definition. More...
XSConstants::SCOPE | getScope () const
| Optional. More...
XSComplexTypeDefinition * | getEnclosingCTDefinition ()
| The complex type definition for locally scoped declarations (see `scope`). More...
XSConstants::VALUE_CONSTRAINT | getConstraintType () const
| Value constraint: one of `VC_NONE, VC_DEFAULT, VC_FIXED`. More...
const XMLCh * | getConstraintValue ()
| Value constraint: The actual value with respect to the [type definition ]. More...
XSAnnotation * | getAnnotation () const
| Optional. More...
void | setId (unsigned int id)
| Set the id to be returned on getId(). More...
bool | getRequired () const

## Protected Attributes

SchemaAttDef * | fAttDef
XSSimpleTypeDefinition * | fTypeDefinition
XSAnnotation * | fAnnotation
unsigned int | fId
XSConstants::SCOPE | fScope
XSComplexTypeDefinition * | fEnclosingCTDefinition

## Friends

class | XSObjectFactory

## Constructor & Destructor Documentation

XSAttributeDeclaration::XSAttributeDeclaration | ( | SchemaAttDef *const | attDef,
|  | XSSimpleTypeDefinition *const | typeDef,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | XSConstants::SCOPE | scope,
|  | XSComplexTypeDefinition * | enclosingCTDefinition,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

The default constructor.

Parameters:

  attDef |
  typeDef |
  annot |
  xsModel |
  scope |
  enclosingCTDefinition |
  manager | The configurable memory manager

XSAttributeDeclaration::~XSAttributeDeclaration | ( |  | ) |

## Member Function Documentation

XSAnnotation * XSAttributeDeclaration::getAnnotation | ( |  | ) | const

| Optional. Annotation.

XSConstants::VALUE_CONSTRAINT XSAttributeDeclaration::getConstraintType | ( |  | ) | const

| Value constraint: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.

const XMLCh* XSAttributeDeclaration::getConstraintValue | ( |  | ) |

| Value constraint: The actual value with respect to the [type definition ].

XSComplexTypeDefinition * XSAttributeDeclaration::getEnclosingCTDefinition | ( |  | ) |

| The complex type definition for locally scoped declarations (see `scope`).

unsigned int XSAttributeDeclaration::getId | ( |  | ) | const`[virtual]`

Return a unique identifier for a component within this XSModel, to optimize querying.

Returns:
  id unique for this type of component within this XSModel.

Reimplemented from XSObject.

const XMLCh* XSAttributeDeclaration::getName | ( |  | ) | `[virtual]`

| The name of type `NCName` of this declaration as defined in XML Namespaces. Reimplemented from XSObject.

const XMLCh* XSAttributeDeclaration::getNamespace | ( |  | ) | `[virtual]`

| The [target namespace] of this object, or `null` if it is unspecified. Reimplemented from XSObject.

XSNamespaceItem* XSAttributeDeclaration::getNamespaceItem | ( |  | ) | `[virtual]`

| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. Reimplemented from XSObject.

bool XSAttributeDeclaration::getRequired | ( |  | ) | const

XSConstants::SCOPE XSAttributeDeclaration::getScope | ( |  | ) | const

| Optional. One of `SCOPE_GLOBAL`, `SCOPE_LOCAL`, or `SCOPE_ABSENT`. If the scope is local, then the `enclosingCTDefinition` is present.

XSSimpleTypeDefinition * XSAttributeDeclaration::getTypeDefinition | ( |  | ) | const

| [type definition]: A simple type definition.

void XSAttributeDeclaration::setId | ( | unsigned int | id | ) |

| Set the id to be returned on getId().

## Friends And Related Function Documentation

friend class XSObjectFactory`[friend]`

## Member Data Documentation

XSAnnotation* XSAttributeDeclaration::fAnnotation`[protected]`

SchemaAttDef* XSAttributeDeclaration::fAttDef`[protected]`

XSComplexTypeDefinition* XSAttributeDeclaration::fEnclosingCTDefinition`[protected]`

unsigned int XSAttributeDeclaration::fId`[protected]`

XSConstants::SCOPE XSAttributeDeclaration::fScope`[protected]`

XSSimpleTypeDefinition* XSAttributeDeclaration::fTypeDefinition`[protected]`

The documentation for this class was generated from the following file:

- XSAttributeDeclaration.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.